# Uses of Interface
org.sunflow.core.BucketOrder

Packages that use BucketOrder
Package
Description
org.sunflow
org.sunflow.core.bucket

## Uses of BucketOrder in org.sunflow

Fields in org.sunflow with type parameters of type BucketOrder
Modifier and Type
Field
Description
`static final Plugins<BucketOrder>`
PluginRegistry.`bucketOrderPlugins`

## Uses of BucketOrder in org.sunflow.core.bucket

Classes in org.sunflow.core.bucket that implement BucketOrder
Modifier and Type
Class
Description
`class`
`ColumnBucketOrder`
`class`
`DiagonalBucketOrder`
`class`
`HilbertBucketOrder`
`class`
`InvertedBucketOrder`
`class`
`RandomBucketOrder`
`class`
`RowBucketOrder`
`class`
`SpiralBucketOrder`
Methods in org.sunflow.core.bucket that return BucketOrder
Modifier and Type
Method
Description
`static BucketOrder`
BucketOrderFactory.`create(String order)`
Constructors in org.sunflow.core.bucket with parameters of type BucketOrder
Modifier
Constructor
Description
``
`InvertedBucketOrder(BucketOrder order)`